org.eclipse.rdf4j.repository.config

## Interface RepositoryImplConfig

- All Known Subinterfaces:
    DelegatingRepositoryImplConfig
  All Known Implementing Classes:
    AbstractDelegatingRepositoryImplConfig, AbstractRepositoryImplConfig, ContextAwareConfig, DatasetRepositoryConfig, DelegatingRepositoryImplConfigBase, FedXRepositoryConfig, HTTPRepositoryConfig, ProxyRepositoryConfig, RepositoryImplConfigBase, SailRepositoryConfig, SPARQLRepositoryConfig, SystemRepositoryConfig

      public interface RepositoryImplConfig

  Author:
    Arjohn Kampman

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model model)` Export this `RepositoryImplConfig` to its RDF representation
    `String` | `getType()`
    `void` | `parse(Model model, Resource resource)` Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `validate()` Validates this configuration.

- - ### Method Detail

    - #### getType

          String getType()

    - #### validate

          void validate()
                 throws RepositoryConfigException

      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          Resource export(Model model)

      Export this `RepositoryImplConfig` to its RDF representation
      Parameters:
        `model` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          void parse(Model model,
                     Resource resource)
              throws RepositoryConfigException

      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Parameters:
        `model` - a `Model` containing repository configuration data.
        `resource` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.